# Class CloudCommitTableReport

java.lang.Object
net.sf.statcvs.reports.CloudCommitTableReport

All Implemented Interfaces:
  `TableReport`

public class CloudCommitTableReport extends Object implements TableReport
Table report which A list of word frequencies in commit messages.

Version:
  $Id: CloudCommitTableReport.java,v 1.5 2009/05/08 13:18:48 benoitx Exp $
Author:
  Benoit Xhenseval

## Constructor Summary

Constructors
Constructor
Description
`CloudCommitTableReport(ReportConfig config)`
Creates a table report containing the top 10 authors and their LOC contributions

## Method Summary

Modifier and Type
Method
Description
`void`
`calculate()`
Calculates the report from the source data.
`String`
`getRawContent()`
`Table`
`getTable()`
Returns the table data model.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CloudCommitTableReport

public CloudCommitTableReport(ReportConfig config)
Creates a table report containing the top 10 authors and their LOC contributions

Parameters:
  `content` - the version control source data

## Method Details

### calculate

public void calculate()
Description copied from interface: `TableReport`
Calculates the report from the source data.

Specified by:
  `calculate` in interface `TableReport`
See Also:
  - `TableReport.calculate()`

### getTable

public Table getTable()
Description copied from interface: `TableReport`
Returns the table data model.

Specified by:
  `getTable` in interface `TableReport`
Returns:
  the table data model
See Also:
  - `TableReport.getTable()`

### getRawContent

public String getRawContent()